package cn.com.qmth.stmms.admin.vo;

import java.io.Serializable;

import cn.com.qmth.stmms.biz.exam.model.ExamSubject;
import cn.com.qmth.stmms.biz.exam.model.Marker;

public class MarkerVO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;

    private String loginName;

    private String name;

    private boolean enable;

    private ExamSubject subject;

    private long markedCount;

    private long currentCount;

    private Double minScore;

    private Double maxScore;

    private Double avgScore;

    private Long minSpeed;

    private Long maxSpeed;

    private Double avgSpeed;

    private Double stdDev;

    public MarkerVO() {
    }

    public MarkerVO(Marker marker) {
        this.id = marker.getId();
        this.enable = marker.isEnable();
        this.loginName = marker.getLoginName();
        this.name = marker.getName();
        this.subject = marker.getSubject();
        this.markedCount = marker.getMarkedCount();
        this.currentCount = marker.getCurrentCount();
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public ExamSubject getSubject() {
        return subject;
    }

    public void setSubject(ExamSubject subject) {
        this.subject = subject;
    }

    public long getMarkedCount() {
        return markedCount;
    }

    public void setMarkedCount(long markedCount) {
        this.markedCount = markedCount;
    }

    public long getCurrentCount() {
        return currentCount;
    }

    public void setCurrentCount(long currentCount) {
        this.currentCount = currentCount;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getMinScore() {
        return minScore;
    }

    public void setMinScore(Double minScore) {
        this.minScore = minScore;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public Double getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Double avgScore) {
        this.avgScore = avgScore;
    }

    public Long getMinSpeed() {
        return minSpeed;
    }

    public void setMinSpeed(Long minSpeed) {
        this.minSpeed = minSpeed;
    }

    public Long getMaxSpeed() {
        return maxSpeed;
    }

    public void setMaxSpeed(Long maxSpeed) {
        this.maxSpeed = maxSpeed;
    }

    public Double getAvgSpeed() {
        return avgSpeed;
    }

    public void setAvgSpeed(Double avgSpeed) {
        this.avgSpeed = avgSpeed;
    }

    public Double getStdDev() {
        return stdDev;
    }

    public void setStdDev(Double stdDev) {
        this.stdDev = stdDev;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

}
